class {methods} | R Documentation

## Class of an Object

### Description

Returns the name of the object's class as a character string.

In contrast to the version of this function in the base package, this version of `class` never returns `NULL`. For objects that do not have a formal class definition, and do not have the `"class"` attribute set, the value returned is effectively the same as `data.class`.

The replacement version of the function sets the class to the value provided. For classes that have a formal definition, directly replacing the class this way is strongly deprecated. The expression `as(object, value)` is the way to coerce an object to a particular class.

### Usage

    class(object)

    class(object) <- value

### Arguments

`object` | Any R object (including basic objects for which no class is currently defined). When assigning the class, however, it must be possible to coerce the object to the specified class: the semantics of assigning a class to `object` are equivalent to `object <- as(object, value)`.

### Author(s)

John Chambers

### References

The web page http://www.omegahat.org/RSMethods/index.html is the primary documentation.

The functions in this package emulate the facility for classes and methods described in Programming with Data (John M. Chambers, Springer, 1998). See this book for further details and examples.

### See Also

`as`

[Package Contents]